<?php
require_once(dirname(__FILE__).'/../../upgrade.php');
class create_column_catorder extends UPGRADE
{
	/**
	* IsAlreadyUpgraded
	* Do we need to run this classes upgrade script or not ?
	*
	* @return bool true if the upgrade has already run, otherwise false
	*/
	function IsAlreadyUpgraded()
	{
		return $this->ColumnExists($GLOBALS['tablePrefix'].'categories', 'catorder');
	}

	/**
	* Upgrade
	* Do the actual upgrade of this component. If this is successful all
	* subsequent calls to IsAlreadyUpgraded should return true
	*
	* @return void
	*/
	function Upgrade()
	{
		$query = "ALTER TABLE `".$GLOBALS['tablePrefix']."categories` ADD COLUMN `catorder` int(11) NOT NULL default '0'";
		$result = $GLOBALS['AKB_DB']->Query($query);
	}
}
?>
